## pcal 1.0.0

=== DESCRIPTION ===
Package: pcal
Type: Package
Title: Calibration of P-Values for Point Null Hypothesis Testing
Version: 1.0.0
Authors@R: c(
  person("Pedro", "Fonseca", email = "pedro.teles.fonseca@outlook.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-5708-081X")),
  person("Rui", "Paulo", role = c("ctb", "ths"), comment = c(ORCID = "0000-0002-4802-527X")),
  person(given = "FCT", role = "fnd"))
Description: Calibrate p-values under a robust perspective using the methods developed
    by Sellke, Bayarri, and Berger (2001) <doi:10.1198/000313001300339950> and obtain 
    measures of the evidence provided by the data in favor of point null hypotheses 
    which are safer and more straightforward to interpret.
License: GPL-3 | file LICENSE
URL: https://pedro-teles-fonseca.github.io/pcal/,
        https://github.com/pedro-teles-fonseca/pcal
BugReports: https://github.com/pedro-teles-fonseca/pcal/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Imports: Rdpack (>= 0.7)
Suggests: covr (>= 3.5.0), testthat (>= 2.3.2), knitr (>= 1.28),
        rmarkdown (>= 2.1)
RdMacros: Rdpack
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-07-03 19:42:27 UTC; pedro
Author: Pedro Fonseca [aut, cre] (<https://orcid.org/0000-0002-5708-081X>),
  Rui Paulo [ctb, ths] (<https://orcid.org/0000-0002-4802-527X>),
  FCT [fnd]
Maintainer: Pedro Fonseca <pedro.teles.fonseca@outlook.com>
Repository: CRAN
Date/Publication: 2020-07-06 09:20:09 UTC
