=== debian/changelog ===
pcal (4.11.0-3) unstable; urgency=low

  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 09 May 2012 20:32:10 +0000

pcal (4.11.0-2) unstable; urgency=low

  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 11 Apr 2012 19:38:11 +0000

pcal (4.11.0-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "-J option outputs broken PostScript", thanks to
    nbreen@ofb.net (Nicholas Breen)</a>; (Closes: #400823).

 -- Camm Maguire <camm@debian.org>  Thu, 07 Jan 2010 14:59:50 +0000

pcal (4.10.0-1) unstable; urgency=low

  * New upstream release,Closes: #384535.
  * build-dep on libpaper-dev, Closes: 346401.
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Wed,  4 Oct 2006 10:27:26 -0400

pcal (4.9.1-1) unstable; urgency=low

  * New upstream release, Closes: #334455.
  * updated examples list
  * newer standards
  * updated watchfile to sf redirector

 -- Camm Maguire <camm@enhanced.com>  Fri, 21 Oct 2005 01:23:10 +0000

pcal (4.8.0-2) unstable; urgency=high

  * Fixed watch file

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Mar 2005 20:33:26 +0000

pcal (4.8.0-1) unstable; urgency=high

  * New upstream release
  * Bug fix: "CAN-2004-1289 Multiple buffer overflows", thanks to Joey
    Hess (Closes: #287039).  Fixed upstream.
  * Bug fix: "pcal: option &quot;-a pt&quot; does not work", thanks to
    Pedro Zorzenon Neto (Closes: #284098).  Fixed upstream.

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 Jan 2005 17:00:54 +0000

pcal (4.7.1-3) unstable; urgency=high

  * Add watch file

 -- Camm Maguire <camm@enhanced.com>  Fri, 29 Oct 2004 17:07:44 +0000

pcal (4.7.1-2) unstable; urgency=low

  * Define SEARCH_PCAL_DIR to 0 to avoide conflict with /usr/bin/calendar.
    Closes: #272656.  Closes: #241708.
  * Extend libpaper support to postscript bounding box, postscript comment
    size, and 'tray' dictionaries.  Closes: #244701.
  * Bug fix: "pcal: Would like enhanced define capability", thanks to
    Louis Taber (Closes: #267090).  Preliminary support for define values
    in pseudo cpp support.

 -- Camm Maguire <camm@enhanced.com>  Tue, 21 Sep 2004 17:25:12 +0000

pcal (4.7.1-1) unstable; urgency=low

  * Bug fix: "New upstream release available", thanks to Martin Michlmayr
    (Closes: #240093).
  * Bug fix: "Upstream location out of date", thanks to Martin Michlmayr
    (Closes: #240094).
  * compat level 4
  * watch file
  * Clean up a few compiler warnings from missing headers
  * Newer standards
  * Rephrase description slightly

 -- Camm Maguire <camm@enhanced.com>  Mon, 29 Mar 2004 16:41:30 +0000

pcal (4.7-10) unstable; urgency=low

  * Fix typo in man page, Closes: #176307

 -- Camm Maguire <camm@enhanced.com>  Mon, 17 Feb 2003 15:52:40 -0500

pcal (4.7-9) unstable; urgency=low

  * Added Finnish translation, Closes: #168603

 -- Camm Maguire <camm@enhanced.com>  Thu, 14 Nov 2002 21:39:06 -0500

pcal (4.7-8) unstable; urgency=low

  * Fixed path length overflow bug

 -- Camm Maguire <camm@enhanced.com>  Wed, 27 Feb 2002 11:07:06 -0500

pcal (4.7-7) unstable; urgency=low

  * Removed add-log-mailing-address from changelog, New policy standard,
    Closes: #123609
  * Applied Portugese language patch, Closes: #123607

 -- Camm Maguire <camm@enhanced.com>  Wed, 12 Dec 2001 14:29:12 -0500

pcal (4.7-6) unstable; urgency=low

  * Changed Build-Depends on libpaperg to libpaperg-dev, Closes: #97895

 -- Camm Maguire <camm@enhanced.com>  Fri, 18 May 2001 09:31:01 -0400

pcal (4.7-5) unstable; urgency=low

  * Added -DEPS to compile flags to make more useful postscript output,
    Closes: #97734
  * Added Build-Depends

 -- Camm Maguire <camm@enhanced.com>  Thu, 17 May 2001 10:20:36 -0400

pcal (4.7-4) unstable; urgency=low

  * Upgraded to latest standards version
  * chmod -x moon98 example

 -- Camm Maguire <camm@enhanced.com>  Wed, 29 Mar 2000 19:30:33 +0200

pcal (4.7-3) frozen; urgency=low

  * Prevented search for calendar file in executable directory, closing #56136

 -- Camm Maguire <camm@enhanced.com>  Tue, 25 Jan 2000 13:24:08 -0500

pcal (4.7-2) unstable; urgency=low

  * Added runtime papersize support using libpaper.  Only supported
  formats so far are upstream compile time options, letter and a4.
  (closes #53852)

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 Jan 2000 13:37:45 -0500

pcal (4.7-1) unstable; urgency=low

  * Updated program source in copyright file
  * Installed a more modern rules file from debhelper
  * Added some new files as examples, including web interface --  
  this should evenutally be installed as a cgi addon
  * Fixed man page typo -- -\ -> \-
  * Miscellaneous Makefile changes for proper Debianization
  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 16:32:24 -0400

pcal (4.1-3) unstable; urgency=low

  * Fixed lintian errors

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 16:32:24 -0400

pcal (4.1-2) unstable; urgency=low

  * Fixed lintian error: removed README.Debian
  * Fixed lintian error: manpage not executable
  * Added newline to Makefile

 -- Camm Maguire <camm@enhanced.com>  Mon, 12 Apr 1999 15:27:58 -0400

pcal (4.1-1) unstable; urgency=low

  * Prevented pcal from searching in /usr/bin for calendars
  * Made miscellaneous changes to get a clean compile with -Wall
  * Edited Makefile, CC=gcc, install in /usr/man and /usr/bin
  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Tue,  5 Jan 1999 12:20:05 -0500
