=== debian/control ===
Source: pcal
Section: utils
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper ( >= 9 ), groff, libpaper-dev
Standards-Version: 3.9.3

Package: pcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate Postscript calendars without X
 "Pcal" is a program to print PostScript calendars for any month and year.
 By default, it looks for a file in the home directory named "calendar"
 for entries with leading dates matching dates on the calendar, and prints
 any following text under the appropriate day.
