=== debian/watch ===
version=2
#http://prdownloads.sourceforge.net/pcal/pcal-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
#opts=pasv ftp://ftp2.sf.net/pub/sourceforge/p/pc/pcal/pcal-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
http://sf.net/pcal/pcal-(.*)\.tgz debian uupdate
